Skip to main content
GET
/
api
/
v1
/
console
/
agents
/
{agentId}
Get agent (with nested sub-resources)
curl --request GET \
  --url https://api.bimpe.ai/api/v1/console/agents/{agentId} \
  --header 'Authorization: Bearer <token>'
{
  "message": "Success",
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "system_prompt": "<string>",
    "language": "<string>",
    "persona": "<string>",
    "agent_workflow_id": "<string>",
    "rules": [
      {
        "id": "<string>",
        "name": "<string>",
        "trigger": "<string>",
        "response": "<string>",
        "enabled": true,
        "condition": "<string>",
        "action": "<string>"
      }
    ],
    "timezone": "<string>",
    "logo": "<string>",
    "business_name": "<string>",
    "business_address": "<string>",
    "business_email": "<string>",
    "business_description": "<string>",
    "test_channel_code": "<string>",
    "status": "<string>",
    "status_reason": "<string>",
    "escalation_email": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "integration": [
      {
        "id": "<string>",
        "type": "<string>",
        "status": "<string>",
        "is_connected": true,
        "config_fields": [
          {
            "key": "<string>",
            "label": "<string>",
            "type": "<string>",
            "required": true
          }
        ],
        "actions": [
          {
            "action_name": "<string>",
            "name": "<string>",
            "description": "<string>",
            "category": "<string>",
            "is_enabled": true,
            "require_human_approval": true
          }
        ]
      }
    ],
    "channel": [
      {
        "id": "<string>",
        "type": "<string>",
        "status": "<string>",
        "is_connected": true
      }
    ],
    "conversation_flow": [
      {
        "name": "<string>",
        "description": "<string>",
        "category": "<string>",
        "priority": 123,
        "is_active": true
      }
    ],
    "actions": [
      {
        "id": "<string>",
        "integration_type": "<string>",
        "integration_name": "<string>",
        "name": "<string>",
        "action_name": "<string>",
        "description": "<string>",
        "is_enabled": true
      }
    ],
    "knowledge_bases": [
      {
        "id": "<string>",
        "name": "<string>",
        "description": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Team API key (prefix sk_). Use Authorization: Bearer or X-Api-Key: .

Path Parameters

agentId
string
required
Maximum string length: 50

Response

Agent detail

message
string
required
Example:

"Success"

data
object
required